> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--organization/queries/get-members.md).

# getMembers

Will return all members listed for the current org.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
query GetMembers {
  getMembers {
    user_id
    picture
    name
    email
    roles {
      id
      name
      description
      displayName
    }
    scopes
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "query GetMembers { getMembers { user_id picture name email roles { id name description displayName } scopes } }"
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'query GetMembers { getMembers { user_id picture name email roles { id name description displayName } scopes } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'query GetMembers { getMembers { user_id picture name email roles { id name description displayName } scopes } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Fields

Return type: [`[Member]`](/api-documentation/api-reference/api--organization/types/objects/member.md)

You can use the following field(s) to specify what information your `getMembers` query will return. Please note that some fields may have their own subfields.

| Field                                                                                      | Description                                                     | Supported fields                                                                                                                  |
| ------------------------------------------------------------------------------------------ | --------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| user\_id `String`                                                                          | Unique identifier of the user                                   |                                                                                                                                   |
| picture `String`                                                                           | URL to the user's profile picture                               |                                                                                                                                   |
| name `String`                                                                              | Full display name of the user                                   |                                                                                                                                   |
| email `String`                                                                             | Email address of the user                                       |                                                                                                                                   |
| roles [`[Role]`](/api-documentation/api-reference/api--organization/types/objects/role.md) | List of roles assigned to this user within the organization     | <p>id <code>String!</code><br>name <code>String!</code><br>description <code>String</code><br>displayName <code>String</code></p> |
| scopes `String`                                                                            | Permission scopes assigned to this user within the organization |                                                                                                                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--organization/queries/get-members.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
